Bug 825292 - [abrt] evolution-3.2.3-3.fc16: g_hash_table_iter_init: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.2.3-3.fc16: g_hash_table_iter_init: Process /usr/bin/evolu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:4bfc6c685f7b89799e9b2df8141...
:
: 828481 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 11:04 EDT by Paulo Román
Modified: 2013-02-13 13:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:39:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (17.82 KB, text/plain)
2012-05-25 11:04 EDT, Paulo Román
no flags Details
File: build_ids (7.21 KB, text/plain)
2012-05-25 11:04 EDT, Paulo Román
no flags Details
File: gconf_subtree (17.10 KB, text/plain)
2012-05-25 11:04 EDT, Paulo Román
no flags Details
File: maps (53.49 KB, text/plain)
2012-05-25 11:04 EDT, Paulo Román
no flags Details
File: backtrace (67.47 KB, text/plain)
2012-05-25 11:04 EDT, Paulo Román
no flags Details

  None (edit)
Description Paulo Román 2012-05-25 11:04:02 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        evolution
crash_function: g_hash_table_iter_init
executable:     /usr/bin/evolution
kernel:         3.3.6-3.fc16.i686
pid:            2546
pwd:            /home/proman
reason:         Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
time:           vie 25 may 2012 09:36:54 CLT
uid:            1000
username:       proman

backtrace:      Text file, 69091 bytes
build_ids:      Text file, 7380 bytes
dso_list:       Text file, 18248 bytes
gconf_subtree:  Text file, 17509 bytes
maps:           Text file, 54769 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=197f32fde57f167538209b7000000088-1337952145.687623-1470397407
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-Bs2iVP
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=proman
:USERNAME=proman
:MAIL=/var/spool/mail/proman
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/proman/.local/bin:/home/proman/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/proman
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1872
:LANG=es_ES.utf8
:GDM_LANG=es_ES.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/proman
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=proman
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-4HVDz0MY93,guid=31accbae317d75c31a93339200000042
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/proman
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-proman-xrqiBk/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1879,unix/unix:/tmp/.ICE-unix/1879
:SSH_AUTH_SOCK=/tmp/keyring-Bs2iVP/ssh
:GPG_AGENT_INFO=/tmp/keyring-Bs2iVP/gpg:0:1
:LC_TIME=es_CL.utf8
:LC_NUMERIC=es_CL.utf8
:LC_MONETARY=es_CL.utf8
:LC_MEASUREMENT=es_CL.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-2102-localhost.localdomain-evolution-0_TIME912450
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2546

smolt_data:
:
:
:General
:=================================
:UUID: 01ce461e-27d2-47c2-a996-efba7ed41154
:SO: Fedora release 16 (Verne)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.utf8
:Plataforma: i686
:BogoMIPS: 5054.01
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Core(TM) i3 CPU       M 380  @ 2.53GHz
:Paso del UCP: 5
:Familia de UCP: 6
:Número de Modelo de CPU: 37
:Número de CPUs: 4
:Velocidad del CPU: 2533
:Memoria del Sistema: 1879
:Intercambio (swap) del Sistema: 3775
:Vendedor: LENOVO
:Sistema: 0585E57 ThinkPad L412
:Factor de forma: Notebook
:Kernel: 3.3.6-3.fc16.i686
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8579) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(4332:33128:6058:8497) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(6523:9092:6058:8496) pci, None, BASE, xD Host Controller
:(32902:15174:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(6523:9090:6058:8494) pci, sdhci-pci, BASE, SD/MMC Host Controller
:(6523:9089:6058:8493) pci, None, BASE, Standard SD Host Controller
:(6523:9091:6058:8495) pci, jmb38x_ms, BASE, MS Host Controller
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:16953:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15180:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 13092026 10645833 10514801 3276800 3062580 3062580
:/dev/sda1 /boot ext4 1024 1024 508745 411743 386143 128016 127781 127781
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 63864472 55098011 51901083 15990784 15940441 15940441
:/dev/sdb1 WITHHELD fuseblk 4096 4096 78142160 4113639 4113639 16585628 16488473 16488473
:

var_log_messages:
:May 25 09:36:19 localhost kernel: [  899.183172] evolution[2205]: segfault at 5f726f98 ip 433792e2 sp bfe38080 error 4 in libglib-2.0.so.0.3000.3[43348000+120000]
:May 25 09:36:20 localhost abrt[2513]: Saved core dump of pid 2205 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-05-25-09:36:19-2205 (154923008 bytes)
:May 25 09:36:54 localhost kernel: [  934.188444] evolution[2546]: segfault at b98f1bd2 ip 433792e2 sp bfa2c4b0 error 4 in libglib-2.0.so.0.3000.3[43348000+120000]
:May 25 09:36:55 localhost abrt[2577]: Saved core dump of pid 2546 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-05-25-09:36:54-2546 (157057024 bytes)

xsession_errors:
:** (evolution:2205): CRITICAL **: send_dbus_message: assertion `display_name != NULL' failed
:** (evolution:2205): CRITICAL **: send_dbus_message: assertion `display_name != NULL' failed
:** (evolution:2205): CRITICAL **: send_dbus_message: assertion `display_name != NULL' failed
:(evolution:2205): evolution-mail-WARNING **: search_address_in_addressbooks: Can't get contacts from 'Paulo.Román': Cannot get contact list: Backend is not opened yet
:(evolution:2205): evolution-mail-WARNING **: search_address_in_addressbooks: Can't get contacts from 'Performance': Cannot get contact list: Backend is not opened yet
:(evolution:2205): evolution-mail-WARNING **: search_address_in_addressbooks: Can't get contacts from 'Actualisap': Cannot get contact list: Backend is not opened yet
:(evolution:2205): camel-WARNING **: CamelIMAPXFolder::get_message_sync() reported failure without setting its GError
:(evolution:2205): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
:(evolution:2205): camel-WARNING **: CamelIMAPXFolder::get_message_sync() reported failure without setting its GError
:(evolution:2205): GLib-CRITICAL **: g_hash_table_iter_next: assertion `ri->position < ri->hash_table->size' failed
:(evolution:2205): GLib-CRITICAL **: g_hash_table_iter_init: assertion `hash_table != NULL' failed
:(evolution:2205): GLib-CRITICAL **: g_hash_table_iter_next: assertion `ri->version == ri->hash_table->version' failed
:(evolution:2205): GLib-CRITICAL **: g_hash_table_iter_init: assertion `hash_table != NULL' failed
:(evolution:2205): GLib-CRITICAL **: g_hash_table_iter_next: assertion `ri->version == ri->hash_table->version' failed
:(evolution:2205): GLib-CRITICAL **: g_hash_table_iter_init: assertion `hash_table != NULL' failed
:(evolution:2205): GLib-CRITICAL **: g_hash_table_iter_next: assertion `ri->version == ri->hash_table->version' failed
:(evolution:2619): evolution-mail-WARNING **: search_address_in_addressbooks: Unable to open addressbook 'Paulo.Román': Cannot open book: Source already loaded!
:(evolution:2619): evolution-mail-WARNING **: search_address_in_addressbooks: Unable to open addressbook 'Performance': Cannot open book: Source already loaded!
:(evolution:2619): evolution-mail-WARNING **: search_address_in_addressbooks: Unable to open addressbook 'Actualisap': Cannot open book: Source already loaded!
Comment 1 Paulo Román 2012-05-25 11:04:08 EDT
Created attachment 586883 [details]
File: dso_list
Comment 2 Paulo Román 2012-05-25 11:04:11 EDT
Created attachment 586884 [details]
File: build_ids
Comment 3 Paulo Román 2012-05-25 11:04:13 EDT
Created attachment 586885 [details]
File: gconf_subtree
Comment 4 Paulo Román 2012-05-25 11:04:18 EDT
Created attachment 586886 [details]
File: maps
Comment 5 Paulo Román 2012-05-25 11:04:20 EDT
Created attachment 586887 [details]
File: backtrace
Comment 6 Milan Crha 2012-06-01 05:31:53 EDT
Thanks for a bug report, I'm moving this to gtk3, where the issue happens (unless some kind of memory corruption being involved).

Thread 1 (Thread 0xb778b8c0 (LWP 2546)):
#0  g_hash_table_iter_init (iter=0xbfa2c4e4, hash_table=<error reading variable: Cannot access memory at address 0xb98f1bc6>0xb98f1ba6) at ghash.c:714
#1  0x44079ac6 in garbage_collect_cell_data (data=0x9a93fc8) at gtktreeviewaccessible.c:2841
#2  0x44079b4e in idle_garbage_collect_cell_data (data=0x9a93fc8) at gtktreeviewaccessible.c:2866
#3  0x4268387f in gdk_threads_dispatch (data=0x9ad2610) at gdk.c:754
#4  0x43387941 in g_idle_dispatch (source=0x9ad0190, callback=0x42683840 <gdk_threads_dispatch>, user_data=0x9ad2610) at gmain.c:4801
#5  0x4338baff in g_main_dispatch (context=0x8ffc568) at gmain.c:2441
Comment 7 Thomas Spura 2012-06-09 15:59:54 EDT
*** Bug 828481 has been marked as a duplicate of this bug. ***
Comment 8 Fedora End Of Life 2013-01-16 10:33:34 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 13:39:12 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.